{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"\n> \uD83D\uDEA7\n>\n> Please note that you can only 'list' events that are less than 90 days old. Event counts and summaries will still include your events older than 90 days but you cannot 'list' these events individually if they are older than 90 days\n\nThe events belonging to a customer can be listed by sending a GET request to `https://api.intercom.io/events` with a user or lead identifier along with a `type` parameter. The identifier parameter can be one of `user_id`, `email`, `intercom_user_id` or `anonymous_id`. The `type` parameter value must be `user` or `lead`.\n\n- `https://api.intercom.io/events?type=user&user_id={user_id}`\n- `https://api.intercom.io/events?type=user&email={email}`\n- `https://api.intercom.io/events?type=user&intercom_user_id={id}` (this call can be used to list leads)\n\nWhen `type` is `lead`, a `user_id` you send is matched against the lead's anonymous id instead.\n\nThe `email` parameter value should be [url encoded](http://en.wikipedia.org/wiki/Percent-encoding) when sending.\n\nYou can optionally define the result page size as well with the `per_page` parameter.\n\nRequires the `read_events` or `write_events` OAuth scope.\n","properties":{"headers":{"type":"object","properties":{"Intercom-Version":{"$ref":"#/definitions/intercom_version","enum":["2.17"]}},"required":[],"additionalProperties":false},"query":{"type":"object","properties":{"filter":{"type":"object","oneOf":[{"title":"user_id query parameter","properties":{"user_id":{"type":"string"}},"required":["user_id"],"additionalProperties":false},{"title":"intercom_user_id query parameter","properties":{"intercom_user_id":{"type":"string"}},"required":["intercom_user_id"],"additionalProperties":false},{"title":"email query parameter","properties":{"email":{"type":"string"}},"required":["email"],"additionalProperties":false},{"title":"anonymous_id query parameter","properties":{"anonymous_id":{"type":"string"}},"required":["anonymous_id"],"additionalProperties":false}]},"type":{"type":"string","enum":["user","lead"],"description":"The value must be `user` or `lead`."},"per_page":{"type":"integer","description":"The number of events to return per page."},"since":{"type":"integer","description":"Only return events created after this time, as a Unix timestamp in milliseconds. Take the value from the `since` link in the `pages` object of a previous response."},"before":{"type":"integer","description":"Only return events created before this time, as a Unix timestamp in milliseconds. Take the value from the `next` link in the `pages` object of a previous response."},"summary":{"type":"boolean","description":"Set to `true` (or `1`) to return an event summary (`event.summary`) instead of the list of events. Omit for the paginated event list (`event.list`)."}},"required":["filter","type"],"additionalProperties":false}},"required":["query"],"additionalProperties":false,"definitions":{"intercom_version":{"description":"Intercom API version.</br>If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.","type":"string","enum":["1.0","1.1","1.2","1.3","1.4","2.0","2.1","2.2","2.3","2.4","2.5","2.6","2.7","2.8","2.9","2.10","2.11","2.12","2.13","2.14","2.15","2.16","2.17"],"examples":["2.17"]}}},"name":"List all data events","id":"intercom.lisdataevents","example":{"query":{"filter":{"user_id":"example"},"type":"user"}},"maxRequests":1,"summary":false}}